import * as Parser from 'tree-sitter';
import { PreparedLanguage } from 'tree-sitter-hast';
export declare type Grammars = {
    [id: string]: PreparedLanguage;
};
export declare class MultiLanguageParser {
    private readonly grammars;
    private readonly parsers;
    constructor(grammars: Grammars);
    canParseLanguage(language: string): boolean;
    getParser(language: string): Parser;
    getScopeMappings(language: string): {
        [selector: string]: string;
    } | undefined;
}
